.how-it-works {
	background-color: var(--primary-color);
	padding: 50px 20px;
}

.content-wrapper {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	max-width: 1200px;
	margin: 0 auto;
	gap: 100px;
	flex-wrap: wrap;
}

.image-wrapper img {
	max-width: 100%;
	height: auto;
	border-radius: 20px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.timeline-wrapper {
	max-width: 500px;
}

.timeline-wrapper .title {
	font-size: 2.5rem;
	margin-bottom: 20px;
	color: var(--secondary-dark);
}

.subtitle {
	font-size: 1.2rem;
	margin-bottom: 40px;
	color: var(--text-color);
}

.step {
	display: flex;
	align-items: center;
	margin-bottom: 30px;
	position: relative;
}

.step-icon {
	width: 30px;
	height: 30px;
	background-color: white;
	border: 2px solid var(--secondary-color);
	border-radius: 50%;
	margin-right: 20px;
	flex-shrink: 0;
	flex-grow: 0;
	flex-basis: auto;
	position: relative;
	z-index: 1;
	margin-bottom: 46px;
}

.step-icon::before {
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	width: 20px;
	height: 20px;
	background-color: var(--secondary-color);
	border-radius: 50%;
	transform: translate(-50%, -50%);
}

.step-icon::after {
	content: "";
	position: absolute;
	top: 28px;

	left: 50%;
	width: 2px;
	height: calc(100% + 62px);
	/* Extends to the next dot */
	background-color: var(--secondary-light);
	transform: translateX(-50%);
	z-index: -1;
}

.step:last-child .step-icon::after {
	display: none;
	/* Hide the line after the last step */
}

.step-content h3 {
	font-size: 1.5rem;
	margin-bottom: 10px;
	color: var(--secondary-darker);
}

.step-content p {
	margin: 0;
	color: var(--text-color);
}

.sign-up-button {
	display: inline-block;
	margin-top: 20px;
	padding: 15px 30px;
	background-color: var(--secondary-color);
	color: white;
	border-radius: 5px;
	text-decoration: none;
	font-size: 1.2rem;
	text-align: center;
	box-shadow: 2px 8px 10px 0px #8cd86733;
}

.sign-up-button:hover {
	opacity: 0.8;
}

/* Responsive Styles */
@media (max-width: 768px) {
	.content-wrapper {
		flex-direction: column;
		text-align: center;
		gap: 14px;
	}

	.timeline-wrapper {
		max-width: 100%;
	}

	.image-wrapper {
		margin-bottom: 30px;
	}

	.timeline-wrapper .title {
		font-size: 2rem;
	}

	.step-content h3 {
		font-size: 1.3rem;
	}

	.step-icon::after {
		height: calc(100% + 82px);
	}
	html
		> body:nth-child(2)
		> section:nth-child(9)
		> div:nth-child(1)
		> div:nth-child(2)
		> div:nth-child(4)
		> div:nth-child(1) {
		margin-bottom: 70px;
	}
	html
		> body:nth-child(2)
		> section:nth-child(9)
		> div:nth-child(1)
		> div:nth-child(2)
		> div:nth-child(5)
		> div:nth-child(1) {
		margin-bottom: 96px;
	}
}
